chiark / gitweb /
release
[dsa-metapackages.git] / debian / control
1 Source: debian.org
2 Section: local/admin
3 Priority: required
4 Maintainer: Debian sysadmin Team <debian-admin@debian.org>
5 Uploaders: Peter Palfrader <weasel@debian.org>, Martin Zobel-Helas <zobel@debian.org>
6 Build-Depends: debhelper (>= 7)
7 Standards-Version: 3.8.1
8
9 Package: debian.org
10 Architecture: all
11 Depends: userdir-ldap, zsh, tcsh, pdksh, ksh, csh, ntp, locales-all, exim4-daemon-heavy | postfix, sudo, libpam-pwdfile, vim, munin-node, gnupg, bzip2, cacert-spi | ca-certificates (>> 20080411), ed, cron, dialog, libterm-readline-gnu-perl, logrotate
12 Recommends: debian.org-recommended
13 Conflicts: dchroot-dsa (<= 2:1)
14 Description: DSA's host metapackage
15  This package depends on packages that should be installed on every
16  debian.org host, and conflicts with packages that should never be
17  installed.
18
19 Package: debian.org-recommended
20 Architecture: all
21 Depends: debian.org,
22         molly-guard
23         ,
24         subversion, rcs, git-core, bzr,
25                 git-svn,
26                 subversion-tools
27         ,
28         mtr-tiny, tcpdump, iproute, tcptraceroute,
29         bind9-host, dnsutils
30         ,
31         emacs22-nox | emacs22 | emacs21-nox | emacs21
32         ,
33         at, uptimed, irqbalance,
34         puppet,
35         locate, dlocate
36         ,
37         dsa-nagios-checks
38         ,
39         lshw,
40         dmidecode | not+amd64,
41         dmidecode | not+i386,
42         dmidecode | not+ia64
43         ,
44         mcelog | not+amd64,
45         mcelog | not+i386
46         ,
47         htop, lsof, psmisc
48         ,
49         mc,
50         less
51         rsync,
52         screen,
53         ldap-utils, ldapvi,
54         mmv,
55         moreutils,
56         patchutils,
57         netcat-openbsd, socat, telnet
58         ,
59         deborphan
60         ,
61         bsd-mailx
62         ,
63         timeout
64         ,
65         strace
66         ,
67         wget, curl
68         ,
69         uuid-runtime
70         ,
71         finger
72 Description: metapackage to pull in recommended, but not essential tools
73  This package depends on packages that are recommended to  be installed on
74  every debian.org host but are not essential.
75
76 Package: debian.org-bugs.debian.org
77 Architecture: all
78 Depends: graphviz,
79         libcgi-simple-perl,
80         libio-stringy-perl,
81         liblist-moreutils-perl,
82         libmime-tools-perl,
83         libmldbm-perl,
84         libparams-validate-perl,
85         libsafe-hole-perl,
86         libtext-template-perl,
87         liburi-perl,
88         libhtml-tree-perl,
89         libsoap-lite-perl
90 Description: metapackages for bugs.debian.org dependencies
91  This package depends on everything that is needed for a bugs.debian.org
92  mirror or (in the future) bugs-master.
93
94
95 Package: debian.org-packages.debian.org
96 Architecture: all
97 Depends: db4.6-util,
98         liblocale-maketext-lexicon-perl,
99         libi18n-acceptlanguage-perl,
100         libnumber-format-perl,
101         libcompress-zlib-perl,
102         libhtml-parser-perl,
103         libmldbm-perl,
104         libtext-iconv-perl,
105         libclass-accessor-perl,
106         liburi-perl,
107         libtemplate-perl,
108         liblingua-stem-perl,
109         libsearch-xapian-perl,
110         libapache2-mod-perl2,
111         libapache2-reload-perl
112 Description: metapackages for packages.debian.org dependencies
113  This package depends on everything that is needed for a packages.debian.org
114  mirror or (in the future) packages-master.
115
116 Package: debian.org-www-master.debian.org
117 Architecture: all
118 Depends: debiandoc-sgml,
119         dpkg-dev,
120         docbook-xsl,
121         gettext,
122         ghostscript,
123         kcc,
124         latex-cjk-chinese,
125         libnet-ldap-perl,
126         libtimedate-perl,
127         libwww-perl,
128         libxml-rss-perl,
129         littex,
130         po4a,
131         poxml,
132         python-xml,
133         python2.4,
134         texlive-fonts-recommended,
135         texlive-lang-cyrillic, texlive-lang-cyrillic, latex-cjk-japanese
136         texlive-latex-base,
137         texlive-latex-extra,
138         texlive-latex-recommended,
139         time,
140         w3m,
141         wml,
142         xplanet,
143         xplanet-images,
144         xsltproc,
145         procmail,
146         ldap-utils,
147         asciidoc,
148         libxml2-utils
149 Description: metapackages for www-master.debian.org dependencies
150  This package depends on everything that is needed for a www-master.debian.org.
151
152
153 Package: debian.org-buildd.debian.org
154 Architecture: all
155 Depends: edos-debcheck,
156         db4.7-util,
157         ghostscript,
158         libcompress-bzip2-perl,
159         libcompress-zlib-perl,
160         libmailtools-perl,
161         libmldbm-perl,
162         python-apt,
163         python-contract,
164         python-coverage,
165         python-coverage-test-runner
166         python-debian,
167         python-psycopg2,
168         quinn-diff,
169         r-base-core
170 Description: metapackages for buildd.debian.org dependencies
171  This package depends on everything that is needed for a buildd.debian.org.
172
173
174 Package: debian.org-patch-tracker.debian.org
175 Architecture: all
176 Depends: patchutils,
177         python,
178         python-cheetah,
179         python-pygments,
180         python-debian,
181         reprepro,
182         python-wsgiref,
183         python-simplejson,
184         python-pysqlite2,
185         diffstat
186 Description: metapackages for patch-tracker.debian.org dependencies
187  This package depends on everything that is needed for a patch-tracker.debian.org.
188
189 Package: debian.org-patch-planet.debian.org
190 Architecture: all
191 Depends: libwww-perl
192 Description: metapackages for planet.debian.org dependencies
193  This package depends on everything that is needed for a planet.debian.org.
194  Note: This package is very incomplete.
195
196 Package: debian.org-testing-security.debian.org
197 Architecture: all
198 Depends: libdbd-sqlite3-perl,
199         sqlite3,
200         python-apsw,
201         libterm-readline-gnu-perl
202 Description: metapackages for testing-security.debian.org dependencies
203  This package depends on everything that is needed for a testing-security.debian.org.